Can't start Autopsy 4.4.1 under kali 2017

A place to ask the community for help with using Autopsy.

Moderator: carrier

Can't start Autopsy 4.4.1 under kali 2017

Postby vader » Wed Sep 27, 2017 4:49 pm

Hello everybody,

I built autopsy and started it via "ant run", the loading screen appears til turning on modules...and crashes with this text:


up-to-date:

compile:
[depend] Deleted 7 out of date files in 0 seconds
[nb-javac] Compiling 5 source files to /opt/autopsy/autopsy/thunderbirdparser/build/classes
[nb-javac] warning: Supported source version 'RELEASE_6' from annotation processor 'org.netbeans.modules.openide.util.NbBundleProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.util.ServiceProviderProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.util.NamedServiceProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.awt.ActionProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.api.annotations.common.proc.StaticResourceProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.filesystems.declmime.MIMEResolverProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.templates.TemplateProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.loaders.DataObjectFactoryProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.editor.mimelookup.CreateRegistrationProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.windows.TopComponentProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.openide.nodes.NodesAnnotationProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.intent.OpenUriHandlerProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.options.OptionsPanelControllerProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.sendopts.OptionAnnotationProcessor' less than -source '1.8'
[nb-javac] warning: Supported source version 'RELEASE_7' from annotation processor 'org.netbeans.modules.settings.convertors.ConvertorProcessor' less than -source '1.8'
[nb-javac] warning: No processor claimed any of these annotations: javax.annotation.Generated
[nb-javac] 16 warnings

jar-prep:

jar:
[jarwithmoduleattributes] Computed OpenIDE-Module-Specification-Version: 4.0.16
[jarwithmoduleattributes] Building jar: /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-thunderbirdparser.jar

netbeans-extra:

javahelp:

module-auto-deps:

release:
[copy] Copying 7 files to /opt/autopsy/autopsy/build/cluster

-init-startlevel:

module-xml-regular:

module-xml-autoload:

module-xml-eager:

-init-executables:

chmod-executables:

verify-class-linkage:

-validate-layers:
[xmlvalidate] 1 file(s) have been successfully validated.

-verify-apichanges:

-netbeans:

netbeans:
[genlist] Generating Auto Update information for org.sleuthkit.autopsy.thunderbirdparser

build:

-jdk-pre-preinit:

-jdk-preinit:

-jdk-warn:

-jdk-presetdef-basic:

-jdk-default:

-jdk-init:

run:

-init:

-prepare-as-app:

-prepare-as-platform:

run:
[exec] Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=128M; support was removed in 8.0
[exec] -------------------------------------------------------------------------------
[exec] >Log Session: Wednesday, September 27, 2017 6:43:29 PM CEST
[exec] >System Info:
[exec] Product Version = Autopsy 4.4.2
[exec] Operating System = Linux version 4.12.0-kali1-amd64 running on amd64
[exec] Java; VM; Vendor = 1.8.0_144; Java HotSpot(TM) 64-Bit Server VM 25.144-b01; Oracle Corporation
[exec] Runtime = Java(TM) SE Runtime Environment 1.8.0_144-b01
[exec] Java Home = /usr/lib/jvm/java-8-oracle/jre
[exec] System Locale; Encoding = en (autopsy); UTF-8
[exec] Home Directory = /root
[exec] Current Directory = /opt/autopsy/autopsy
[exec] User Directory = /opt/autopsy/autopsy/build/testuserdir
[exec] Cache Directory = /opt/autopsy/autopsy/build/testuserdir/var/cache
[exec] Installation = /opt/autopsy/autopsy/build/cluster
[exec] /opt/autopsy/autopsy/netbeans-plat/8.2/harness
[exec] /opt/autopsy/autopsy/netbeans-plat/8.2/java
[exec] /opt/autopsy/autopsy/netbeans-plat/8.2/platform
[exec] /opt/autopsy/autopsy/netbeans-plat/8.2/platform
[exec] Boot & Ext. Classpath = /usr/lib/jvm/java-8-oracle/jre/lib/resources.jar:/usr/lib/jvm/java-8-oracle/jre/lib/rt.jar:/usr/lib/jvm/java-8-oracle/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-oracle/jre/lib/jsse.jar:/usr/lib/jvm/java-8-oracle/jre/lib/jce.jar:/usr/lib/jvm/java-8-oracle/jre/lib/charsets.jar:/usr/lib/jvm/java-8-oracle/jre/lib/jfr.jar:/usr/lib/jvm/java-8-oracle/jre/classes:/usr/lib/jvm/java-8-oracle/jre/lib/ext/sunjce_provider.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/nashorn.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/cldrdata.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/dnsns.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/sunec.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/jfxrt.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/sunpkcs11.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/jaccess.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/localedata.jar:/usr/lib/jvm/java-8-oracle/jre/lib/ext/zipfs.jar
[exec] Application Classpath = /opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/boot.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/org-openide-modules.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/org-openide-util-lookup.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/org-openide-util-ui.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/org-openide-util.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/boot_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/boot_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/boot_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/boot_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-modules_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-modules_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-modules_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-modules_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-lookup_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-lookup_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-lookup_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-lookup_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-ui_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-ui_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-ui_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util-ui_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/lib/locale/org-openide-util_zh_CN.jar:/usr/lib/jvm/java-8-oracle/lib/dt.jar:/usr/lib/jvm/java-8-oracle/lib/tools.jar
[exec] Startup Classpath = /opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/org-openide-filesystems.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/core-base.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/core.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/org-openide-filesystems-compat8.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/org-netbeans-libs-asm.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/asm-all-5.0.1.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core-base_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems-compat8_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core-base_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-netbeans-libs-asm_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems-compat8_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems-compat8_ja.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-netbeans-libs-asm_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core-base_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core-base_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-netbeans-libs-asm_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-netbeans-libs-asm_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core_pt_BR.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems-compat8_zh_CN.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/org-openide-filesystems_ru.jar:/opt/autopsy/autopsy/netbeans-plat/8.2/platform/core/locale/core_zh_CN.jar:/opt/autopsy/autopsy/build/cluster/core/locale/core_autopsy.jar
[exec] -------------------------------------------------------------------------------
[exec] WARNING [org.netbeans.core.startup.InstalledFileLocatorImpl]: module org.netbeans.libs.junit4 in /opt/autopsy/autopsy/netbeans-plat/8.2/platform does not own modules/ext/junit-4.10.jar at org.netbeans.LocaleVariants.findLogicalPath(LocaleVariants.java:271)
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/mchange-commons-java-0.2.9.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-core.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-experimental.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/tika-core-1.14.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-core.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-experimental.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/c3p0-0.9.5.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-core.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-experimental.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/tika-core-1.14.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-core.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-experimental.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/xmlbeans-2.6.0.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/log4j-1.2.17.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/commons-collections4-4.1.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/commons-codec-1.10.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/poi-ooxml-schemas-3.15.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/poi-scratchpad-3.15.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/poi-3.15.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/xmpcore-5.1.2.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-core.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/poi-ooxml-3.15.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/zookeeper-3.4.6.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-core.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] WARNING [org.netbeans.core.startup.NbEvents]: The extension /opt/autopsy/autopsy/build/cluster/modules/ext/commons-lang-2.6.jar may be multiply loaded by modules: [/opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-keywordsearch.jar, /opt/autopsy/autopsy/build/cluster/modules/org-sleuthkit-autopsy-corelibs.jar]; see: http://www.netbeans.org/download/dev/ja ... class-path
[exec] Temp Folder for Libraries: /tmp
[exec] Sep 27, 2017 6:43:32 PM org.sleuthkit.autopsy.core.Installer <init>
[exec] INFO: core installer created
[exec] Sep 27, 2017 6:43:32 PM org.sleuthkit.autopsy.core.Installer validate
[exec] INFO: validate()
[exec] Sep 27, 2017 6:43:32 PM org.sleuthkit.autopsy.core.Installer validate
[exec] INFO: org.sleuthkit.autopsy.coreutils.Installer validate()
[exec] Sep 27, 2017 6:43:32 PM org.sleuthkit.autopsy.core.Installer validate
[exec] INFO: org.sleuthkit.autopsy.corecomponents.Installer validate()
[exec] Sep 27, 2017 6:43:32 PM org.sleuthkit.autopsy.core.Installer validate
[exec] INFO: org.sleuthkit.autopsy.datamodel.Installer validate()
[exec] java.lang.AssertionError: Already had dead JAR: /tmp/org-netbeans-api-progress3139665632007007486.jar
[exec] at org.netbeans.JarClassLoader$JarSource.destroy(JarClassLoader.java:700)
[exec] at org.netbeans.JarClassLoader.destroy(JarClassLoader.java:341)
[exec] at org.netbeans.StandardModule.classLoaderDown(StandardModule.java:581)
[exec] at org.netbeans.ModuleManager.enable(ModuleManager.java:1314)
[exec] at org.netbeans.ModuleManager.enable(ModuleManager.java:1170)
[exec] at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)
[exec] at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)
[exec] at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:301)
[exec] at org.netbeans.core.startup.Main.getModuleSystem(Main.java:181)
[exec] at org.netbeans.core.startup.Main.getModuleSystem(Main.java:150)
[exec] at org.netbeans.core.startup.Main.start(Main.java:307)
[exec] at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
[exec] at java.lang.Thread.run(Thread.java:748)
[exec] Result: 2

BUILD SUCCESSFUL


Any Help so far?
vader
 
Posts: 2
Joined: Wed Sep 27, 2017 4:38 pm

Return to Autopsy Troubleshooting

Who is online

Users browsing this forum: No registered users and 1 guest

cron